GIT-LFS-LOCKS(1)

NAME
git-lfs-locks - Lists currently locked files from the Git LFS server.

SYNOPSIS
git lfs locks options

DESCRIPTION
Lists current locks from the Git LFS server.

OPTIONS

-r name --remote=name
    Specify the Git LFS server to use. Ignored if the lfs.url config key is set.

-i <id> --id=<id>
    Specifies a lock by its ID. Returns a single result.

-p <path> --path=<path>
    Specifies a lock by its path. Returns a single result.

--local
    Lists only our own locks which are cached locally. Skips a remote call.

--cached
    Lists cached locks from the last remote call. Contrary to --local, this will include locks of other users as well. This option is intended to display the last known locks in case you are offline. There is no guarantee that locks on the server have not changed in the meanwhile.

--verify
    Verifies the lock owner on the server and marks our own locks by 'O'. Own locks are actually held by us and corresponding files can be updated for the next push. All other locks are held by someone else. Contrary to --local, this option will also detect locks which are held by us despite no local lock information being available (e.g. because the file had been locked from a different clone); it will also detect 'broken' locks (e.g. if someone else has forcefully unlocked our files).

-l <num> --limit=<num>
    Specifies number of results to return.

--json
    Writes lock info as JSON to STDOUT if the command exits successfully. Intended for interoperation with external tools. If the command returns with a non-zero exit code, plain text messages will be sent to STDERR.

SEE ALSO
git-lfs-lock(1), git-lfs-unlock(1).

Part of the git-lfs(1) suite.